%global git_tag 0bf649d72504ba121d9043085a5c99a0d7272fd1

Name:           eclipse-remote
Version:        2.1.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Eclipse Remote Services plug-in
License:        EPL
URL:            https://www.eclipse.org/ptp/

Source0:        http://git.eclipse.org/c/ptp/org.eclipse.remote.git/snapshot/org.eclipse.remote-%{git_tag}.tar.xz

BuildArch:      noarch

BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    jsch
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-license
BuildRequires:    eclipse-cdt
BuildRequires:    eclipse-tm-terminal

Requires:         jsch
Requires:         eclipse-platform

%description
Remote Services provides an extensible remote services framework.

%prep
%setup -q -n org.eclipse.remote-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin releng/org.eclipse.remote.build/pom.xml

%pom_disable_module ../../releng/org.eclipse.remote.repo releng/org.eclipse.remote.build/pom.xml
%pom_disable_module ../../releng/org.eclipse.remote.target releng/org.eclipse.remote.build/pom.xml

%pom_xpath_remove "pom:target" releng/org.eclipse.remote.build/pom.xml

sed -i '/Import-Package/a\ org.eclipse.core.runtime.jobs,' bundles/org.eclipse.remote.core/META-INF/MANIFEST.MF

%build
%mvn_build  -j -- -Dproject.build.sourceEncoding=UTF-8 \
  -DforceContextQualifier=%(date -u +%%Y%%m%%d1000) \
  -f releng/org.eclipse.remote.build/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.remote-feature/epl-v10.html



%changelog
* Tue Oct 04 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1058561
- Update to Neon.1 release

* Sun Jul 03 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1038404
- Update to Neon release 2.1.0
- add patch to fix build

* Sun May 01 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 1008418
- Update for Mars.2
- Adopt license macro and set context qualifier

* Wed Mar 02 2016 neoclust <neoclust> 2.0.1-4.mga6
+ Revision: 982063
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.0.1-3.mga6
+ Revision: 975798
- First rebuild of the java stack
- sync package eclipse-remote with fedora

